//
//  TableViewController.m
//  列表
//
//  Created by LittleX on 16/2/20.
//  Copyright © 2016年 LittleX. All rights reserved.
//

#import "TableViewController.h"

@interface TableViewController ()<UITableViewDelegate,UITableViewDataSource,headerViewDelegate>
{
    TableviewCell *tablCell;
}
@property(nonatomic,strong)UITableView *tableView;

@end

@implementation TableViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    self.navigationItem.title = @"好友列表展示";
    _tableView =[[UITableView alloc]initWithFrame:CGRectMake(0, 0, SCREEN_WIDTH, SCREEN_HEIGHT)];
    _tableView.delegate = self;
    _tableView.dataSource = self;
    [self.view addSubview:_tableView];
    self.section =0;
}

-(UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
    tablCell =[tableView dequeueReusableCellWithIdentifier:@"table"];
    if (!tablCell) {
        tablCell =[[TableviewCell alloc]initWithStyle:UITableViewCellStyleDefault reuseIdentifier:@"table"];
        tablCell.selectionStyle = UITableViewCellSelectionStyleNone;
    }
    tablCell.titleLabel.text =[NSString stringWithFormat:@"我的好友%ld",indexPath.row];
    return tablCell;
}
-(NSInteger)numberOfSectionsInTableView:(UITableView *)tableView
{
    return 3;
}
-(CGFloat)tableView:(UITableView *)tableView heightForRowAtIndexPath:(NSIndexPath *)indexPath
{
    return 50*Height;
}
-(NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
    if (section == self.section-1) {
        return 5;
    }
    return 0;
}
-(UIView *)tableView:(UITableView *)tableView viewForHeaderInSection:(NSInteger)section
{
    HeaderView *haadView =[[HeaderView alloc]initWithFrame:CGRectMake(0, 0, SCREEN_WIDTH, 30*Height)];
    if (self.section-1 == section) {
        [haadView.listHeaderBtn setImage:[UIImage imageNamed:@"group_btn_bottom"] forState:UIControlStateNormal];
    }else{
        [haadView.listHeaderBtn setImage:[UIImage imageNamed:@"group_btn_rignt"] forState:UIControlStateNormal];
    }
    haadView.delegate = self;
    [haadView.listHeaderBtn setTitle:[NSString stringWithFormat:@"列表展示%ld",section] forState:UIControlStateNormal];
    haadView.listHeaderBtn.tag = section;
    return haadView;
}
-(CGFloat)tableView:(UITableView *)tableView heightForHeaderInSection:(NSInteger)section
{
    return 30*Height;
}
-(void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath
{
    
}


-(void)headerDelegate:(HeaderView *)view
{
    if (self.section == view.listHeaderBtn.tag +1) {
        
        self.section = 0;
    }else{
        
        self.section =view.listHeaderBtn.tag+1;
    }
    [_tableView reloadData];
}
@end
